/* 空のpタグ対策 */
.wpcf7 p:empty {
    display: none;
}

.wpcf7 {
    --border-color: #6B5832;
}

/* -------------------------------------------------------------------------
    base
  ------------------------------------------------------------------------- */
.c-form-input,
.c-form-select,
.c-form-textarea {
    width: 100%;
    padding: 0.6em;

    font-size: 1.6rem;
    line-height: var(--line-height-snug);
    letter-spacing: var(--letter-spacing-lg);
    color: var(--color-black);
    background-color: #F7F6F2;
    border: solid 0.1rem var(--border-color);
}

.c-form-input,
.c-form-select,
.c-form-textarea,
.c-form__check-group .wpcf7-list-item-label::before {
    border-radius: 0.5rem;
}

::placeholder {
    color: var(--color-gray) !important;
}

.c-form-input,
.c-form-select {
    /* ▼ 高さを「数値」でガチッと固定する */
    /* デザインに合わせて 40px〜56px (2.5rem〜3.5rem) くらいが一般的 */
    height: 5rem;
    line-height: 5rem;
    padding: 0 0.8em;
}

/* -------------------------------------------------------------------------
    layout
  ------------------------------------------------------------------------- */
.c-form__container {
    display: flex;
    flex-direction: column;
    gap: 5rem;
}

.c-form__block {
    --block-gap: 5rem;
    display: flex;
    flex-direction: column;
    gap: var(--block-gap);
}

@media screen and (min-width: 768px) {
    .c-form__block {
        --block-gap: 2rem;
        flex-direction: row;
    }
}

.c-form__item {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

@media screen and (min-width: 768px) {
    .c-form__item {
        width: calc((100% - var(--block-gap)) * 0.5);
    }
}

.c-form__block--full .c-form__item {
    width: 100%;
}

.c-form__title {
    font-size: 1.8rem;
    display: block;
    width: 100%;
    line-height: var(--line-height-snug);
}

.c-form__footer {
    display: flex;
    flex-direction: column;
    gap: 5rem;
    margin-top: 5rem;
}

/* -------------------------------------------------------------------------
   ２コ１の項目
  ------------------------------------------------------------------------- */
.c-form__row--half {
    display: flex;
    gap: 1rem;
}

.c-form__row--half>.c-form__col {
    width: calc((100% - 1rem) / 2);
}

.c-form__col-title {
    font-size: 1.4rem;
    display: block;
    line-height: var(--line-height-reset);
    margin-bottom: 0.4em;
}

/* -------------------------------------------------------------------------
   郵便番号検索結果
  ------------------------------------------------------------------------- */

.c-form-input--yubin-result {
    background-color: #B4B4B4;
    border: none;
}

/* セレクト */
.c-form__col {
    position: relative;
}

.c-form__col:has(.c-form-select)::after {
    content: "▼";
    position: absolute;
    top: 0;
    right: 1em;
    font-size: 14px;
    line-height: 5rem;
    color: #000;
    pointer-events: none;
}

/* -------------------------------------------------------------------------
    個人情報保護方針同意
  ------------------------------------------------------------------------- */
.c-form__acceptance {
    font-size: 1.5rem;
    line-height: var(--line-height-snug);
}

.c-form__acceptance label {
    position: relative;
    display: inline-flex;
    align-items: center;
    gap: 0.5em;
    cursor: pointer;
    user-select: none;
    transition: opacity 0.3s;
}

@media screen and (min-width: 1024px) {
    .c-form__acceptance label:hover {
        opacity: 0.8;
    }
}

.c-form__acceptance input[type="checkbox"] {
    position: absolute;
    opacity: 0;
    width: 0;
    height: 0;
}

.c-form__acceptance .wpcf7-list-item-label {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.c-form__acceptance .wpcf7-list-item-label::before {
    content: "";
    display: block;

    width: 4rem;
    height: 4rem;
    border: 0.2rem solid var(--color-white);
    border-radius: 0.5rem;
    background-color: var(--color-black-100);
    transition: all 0.2s ease;


    background-repeat: no-repeat;
    background-position: center;
    background-size: 50%;
    flex-shrink: 0;
}

.c-form__acceptance a {
    text-decoration: underline;
}

.c-form__acceptance .wpcf7c-conf-hidden+.wpcf7-list-item-label::before,
.c-form__acceptance input[type="checkbox"]:checked+.wpcf7-list-item-label::before {
    /* stroke='%23xxxxxx' の部分が色指定。色を変更したい場合は、%23 に続く6桁の16進数を書き換え */
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='none' stroke='%23ffffff' stroke-width='3' stroke-linecap='square' stroke-linejoin='miter'%3E%3Cpolyline points='20 6 9 17 4 12'%3E%3C/polyline%3E%3C/svg%3E");
}

.c-form__acceptance span.wpcf7-list-item {
    margin: 0;
}

.c-form__acceptance .wpcf7-form-control-wrap {
    display: block;
    width: fit-content;
    margin-inline: auto;
}

/* ボタン */
.c-form__submit {
    position: relative;
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
    justify-content: center;
    gap: 3rem;
    width: 100%;
}

.wpcf7-confirm,
.wpcf7-back,
.wpcf7-submit {
    display: inline-flex;
    align-items: center;
    justify-content: center;

    width: 100%;
    height: 5rem;
    padding: 0 2.5rem;
    max-width: 31.5rem;

    font-size: 1.6rem;
    text-align: center;
    color: var(--color-white);
    background-color: #E40220;
    border: solid 0.2rem var(--color-white);
    border-radius: 5rem;
    outline: none;

    cursor: pointer;
    transition: all 0.3s ease;
}

.wpcf7-back {
    background-color: #999999;
    color: #fff;
    border-color: #fff;
}

@media screen and (min-width: 1024px) {

    .wpcf7-confirm:not(:disabled):hover,
    .wpcf7-back:not(:disabled):hover,
    .wpcf7-submit:not(:disabled):hover {
        opacity: 0.9;
        transform: translateY(-2px);
        box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
    }
}

.wpcf7-confirm[disabled],
.wpcf7-back[disabled],
.wpcf7-submit[disabled] {
    opacity: 0.7;
    box-shadow: none;
    cursor: not-allowed;
    pointer-events: none;
}

.c-form__submit .ajax-loader {
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
}

/* バリエーション */
.wpcf7-not-valid-tip {
    font-size: 1rem;

}